Bug 493149 - XMMS option "Read info on demand" doesn't work as documented
XMMS option "Read info on demand" doesn't work as documented
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: xmms (Show other bugs)
11
x86_64 Linux
low Severity low
: ---
: ---
Assigned To: Paul F. Johnson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-03-31 15:38 EDT by Neil
Modified: 2010-06-28 07:37 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-06-28 07:37:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Neil 2009-03-31 15:38:21 EDT
Description of problem:
The "options" tab in the XMMS preferences window has a set of radio buttons for "Read info on" with values "play", "demand" and "load".  The hovertext for "demand" says "Read song title and length when song is visible in the playlist".  However, selecting this option only shows this information when the song is PLAYED, not when it is visible.

This used to work correctly in Fedora Core 6; as you scrolled through the playlist, song lengths would be filled in.

Version-Release number of selected component (if applicable):
xmms-1.2.11-4.20071117cvs.fc11.x86_64

How reproducible:
always

Steps to Reproduce:
1. Load a playlist file with many songs
2. 
3.
  
Actual results:
Currently playing song shows its length; other visible songs do not.

Expected results:
All visible songs should show length; as you scroll around through the list, other song lengths should be read and displayed

Additional info: Used to work in FC6.
Comment 1 Bug Zapper 2009-06-09 08:53:06 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 2 Bug Zapper 2010-04-27 09:23:36 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 3 Bug Zapper 2010-06-28 07:37:02 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.